Subject: Cuca at Tripp - 2010
From: "Jack Berndt" <[email-masked]>
To: "Cuca" <[email-masked]>
Date: Thu, 24 Feb 2011 19:27:21 -0600

I told you "awhile back" that I would put together a CD or DVD of "all things Cuca at Tripp, ca. 2010," but... I didn't say when.... Am finally getting around to this project. It'll consist of any images that I have which were associated with that cool display last summer. Sure that you have a few of the pictures piecemeal in email attachments from that time period, but I'll put everything of mine together onto one disk. 

To include stuff, like Attached.